%global debug_package %{nil}
%global srcname kiwi-gtk

Name:           python-kiwi
Version:        1.9.38
Release:        5%{?dist}
Summary:        Framework for Python GUI applications

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://www.async.com.br/projects/kiwi/
Source0:        https://pypi.python.org/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel, pygtk2-devel >= 2.8, gettext, pkgconfig
BuildRequires:  python-setuptools
Requires:       pygtk2 >= 2.8


%description
Kiwi consists of a set of classes and wrappers for PyGTK that were 
developed to provide a sort of framework for applications. Fully 
object-oriented, and roughly Smalltalk's MVC, Kiwi provides a simple, 
practical way to build forms, windows and widgets that transparently 
access and display your object data.


%package glade
Group:          Development/Libraries
Summary:        Glade integration for kiwi
Requires:       glade, %{name} = %{version}-%{release}
Obsoletes:      python-kiwi-gazpacho

%description glade
This package contains additional files necessary for integration with
Glade editor.


%package docs
Group:          Documentation
Summary:        Documentation related to python-kiwi
Requires:       %{name} = %{version}-%{release}

%description docs
This package contains documentation that contains APIs and related materials,
useful for reference when writing software using Kiwi.


%prep
%setup -q -n %{srcname}-%{version}
sed -i 's/glade3/glade/g' kiwiwidgets.py setup.py
sed -i 's#$libdir#%{_libdir}#g' setup.py
sed -i 's#share/doc/kiwi#share/doc/%{name}#g' setup.py


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %buildroot

%{find_lang} kiwi


%files -f kiwi.lang
%doc AUTHORS COPYING README
%{_bindir}/*
%{python_sitelib}/kiwi
%{python_sitelib}/*.egg-info

%files glade
%{_libdir}/glade/modules/*
%{_datadir}/glade


%files docs
%doc doc/* examples


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.38-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.38-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 11 2013 Haïkel Guémar <hguemar@fedoraproject.org> - 1.9.38-2
- disable debuginfo generation (RHBZ #995757)

* Tue Aug 06 2013 Haïkel Guémar <hguemar@fedoraproject.org> - 1.9.38-1
- upstream 1.9.38
- obsoletes python-kiwi-gazpacho (replaced by python-kiwi-glade)
- fix unversionned doc (RHBZ #994058)
- refresh spec

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.26-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.9.26-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Dec 15 2009 Haïkel Guémar <karlthered@gmail.com> - 1.9.26-1
- Upstream 1.9.26
- Fix kiwi custom distutils to conform fedora python packaging guidelines.

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.9.25-3
- Use bzipped upstream tarball.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 08 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.25-1
- Upstream 1.9.25
- Added Advanced Search in search dialogs
- Added initial support for loading GtkBuilder files
- Added multi-line capability in ComboEntry options
- Bugfixes

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.23-1
- Upstream 1.9.23

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.9.22-2
- Rebuild for Python 2.6

* Mon Jun 30 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.22-1
- Upstream 1.9.22

* Sat May 10 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.21-1
- Upstream 1.9.21

* Sun Feb 17 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.20-2
- Upstream 1.9.20

* Thu Jan 17 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.19-2
- Package the egg-info file.

* Sun Dec 23 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.19-1
- Upstream 1.9.19

* Fri Aug 17 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.16-1
- Upstream 1.9.16
- Appease license naming gods -- LGPLv2+

* Mon Jun 11 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.15-1
- Upstream 1.9.15

* Sun Apr 01 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.14-1
- Upstream 1.9.14

* Sun Mar 11 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.13-1
- Upstream 1.9.13
- Use .bz2 file to save space
- BR pkgconfig and pygtk2-devel for setup script

* Sun Dec 17 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.11-1
- Upstream 1.9.11
- Do not manually provide python-abi
- Move docs into a subpackage
- Do a better job with gazpacho dir ownerships

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.9-1
- Version 1.9.9
- Do not ghost
- No more /etc/kiwi

* Wed Jul 12 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-1
- Fedora Extras rebuild.

* Fri Jul 07 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-0.4
- Build in slimmer build environments.

* Fri Jun 16 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-0.3
- Fix the incorrect gazpacho location on x86_64 (we are fully noarch)

* Fri May 19 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 1.9.8-0.2
- Initial packaging
